package com.tinyappco;

public class Odometer
{
    private DistanceUnit displayUnits;

    public void setDisplayUnits(DistanceUnit displayUnits) {
        this.displayUnits = displayUnits;
    }

    private double totalMilesTravelled;

    public void addMileage(double miles){
        totalMilesTravelled += miles;
    }

    public double getTotalMilesTravelled() {

        switch (displayUnits) {
            case KILOMETERS:
                return totalMilesTravelled * 1.60934;
            case NAUTICAL_MILES:
                return totalMilesTravelled * 0.868976;
            case MILES:
                return totalMilesTravelled;
            default:
                return 0; // this will never be reached unless the enum is modified
        }
    }
}
